Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MPConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR > Class Template Reference
Iterator

MPConversionIterator implements memory pool for ConversionIterator. More...

`#include <conversioniterator.h>`

Inheritance diagram for tlp::MPConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR >:
[legend]
Collaboration diagram for tlp::MPConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR >:
[legend]

List of all members.

## Public Member Functions

- MPConversionIterator (Iterator< TYPEIN > *it, CONVERSIONFUNCTOR convFunctor)

## Detailed Description

### template<typename TYPEIN, typename TYPEOUT, typename CONVERSIONFUNCTOR>
class tlp::MPConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR >

MPConversionIterator implements memory pool for ConversionIterator.

Warning:
  never inherit from that class

See also:
  ConversionIterator

## Constructor & Destructor Documentation

template<typename TYPEIN , typename TYPEOUT , typename CONVERSIONFUNCTOR >

tlp::MPConversionIterator< TYPEIN, TYPEOUT, CONVERSIONFUNCTOR >::MPConversionIterator | ( | Iterator< TYPEIN > * | it,
|  | CONVERSIONFUNCTOR | convFunctor
| ) |  | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012